Summary: Very high level scripting language
Name: python
Version: 1.5
Release: 2
Copyright: distributable
Packager: Oliver Andrich <andrich@fga.de>
Vendor: FGA bitart Furch & Graf GbR
Distribution: FGA-Linux
Group: Development/Languages/Python
Source0: python1.5.tar.gz
Source1: postscript-docs.tar.gz
Source2: html-docs.tar.gz
Patch0: python-1.5-setup.patch
Patch2: python-1.5-fixpaths.patch
Patch3: python-1.5-re.1.patch
Patch4: python-1.5-re.2.patch
Patch5: python-1.5-versioncheck.patch
Patch6: python-1.5-urllib.patch
Icon: python.gif
BuildRoot: /tmp/py-root

%description
Python in an interpreted, object orientated scripting language. If contains
support for dynamic loading of objects, classes, modules, and exceptions.
Adding interfaces to new system libraries through C code is straightforward,
making Python easy to use in custom settings. 

%package doc
Summary: Python Documentation
Group: Development/Languages/Python
Icon: pythondoc.gif

%description doc
The official Python documentation. This includes demos, tools and
documentation. The manpage is include in the main package.

This package doesn't include the LaTeX sources of the documentation
but the ready to use postscript and html docs.

%package gdbm
Summary: Python interface to the gdbm library
Group: Development/Languages/Python
Icon: pythongdbm.gif
Requires: python, gdbm

%description gdbm
An easy to use interface to gdbm databases.

%package curses
Summary: Python interface to the (n)curses library
Group: Development/Languages/Python
Icon: pythoncurses.gif
Requires: python, ncurses

%description curses
An easy to use interface to (n)curses databases.

%package devel
Summary: Libraries needed to develop Python extensions
Group: Development/Languages/Python
Icon: pythondevel.gif
Requires: python

%description devel
Everything you need to develop extensions modules for Python using
C/C++.

%package tkinter
Summary: Python Tk interface
Group: Development/Languages/Python
Icon: pythontk.gif
Requires: python, tcl >= 8.0, tk >= 8.0 

%description tkinter
Python interface to Tk. 

%package zlib
Summary: Python interface to the zlib library
Group: Development/Languages/Python
Icon: pythonzlib.gif
Requires: python, zlib >= 1.0.4

%description zlib
An interface to the zlib library.

%prep
%setup -n Python-1.5 -a 1 -a 2 
%patch0 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
# note the single '>' below!
echo ': ${LDSHARED='gcc -shared'}' > config.cache
echo ': ${LINKFORSHARED='-rdynamic'}' >> config.cache
echo ': ${ac_cv_func_lstat='yes'}' >> config.cache
./configure --prefix=/usr --with-thread --with-fpectl
make OPT="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
mkdir -p $RPM_BUILD_ROOT/usr/lib/python1.5/site-packages
mkdir -p $RPM_BUILD_ROOT/usr/lib/site-python
make prefix=$RPM_BUILD_ROOT/usr install
strip $RPM_BUILD_ROOT/usr/bin/python
# We don't have stdwin module, so don't
# install the .py*'s either.
rm -rf $RPM_BUILD_ROOT/usr/lib/python1.5/lib-stdwin

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/bin/python
/usr/bin/python1.5
/usr/man/man1/python.1
/usr/lib/site-python
/usr/lib/python1.5/test
/usr/lib/python1.5/plat-linux2
/usr/lib/python1.5/site-packages
/usr/lib/python1.5/*.py*
/usr/lib/python1.5/lib-dynload/arraymodule.so
/usr/lib/python1.5/lib-dynload/audioop.so
/usr/lib/python1.5/lib-dynload/binascii.so
/usr/lib/python1.5/lib-dynload/cPickle.so
/usr/lib/python1.5/lib-dynload/cStringIO.so
/usr/lib/python1.5/lib-dynload/cmathmodule.so
/usr/lib/python1.5/lib-dynload/cryptmodule.so
/usr/lib/python1.5/lib-dynload/errnomodule.so
/usr/lib/python1.5/lib-dynload/fcntlmodule.so
/usr/lib/python1.5/lib-dynload/fpectlmodule.so
/usr/lib/python1.5/lib-dynload/fpetestmodule.so
/usr/lib/python1.5/lib-dynload/grpmodule.so
/usr/lib/python1.5/lib-dynload/imageop.so
/usr/lib/python1.5/lib-dynload/mathmodule.so
/usr/lib/python1.5/lib-dynload/md5module.so
/usr/lib/python1.5/lib-dynload/newmodule.so
/usr/lib/python1.5/lib-dynload/nismodule.so
/usr/lib/python1.5/lib-dynload/operator.so
/usr/lib/python1.5/lib-dynload/parsermodule.so
/usr/lib/python1.5/lib-dynload/pwdmodule.so
/usr/lib/python1.5/lib-dynload/readline.so
/usr/lib/python1.5/lib-dynload/resource.so
/usr/lib/python1.5/lib-dynload/rgbimgmodule.so
/usr/lib/python1.5/lib-dynload/rotormodule.so
/usr/lib/python1.5/lib-dynload/selectmodule.so
/usr/lib/python1.5/lib-dynload/socketmodule.so
/usr/lib/python1.5/lib-dynload/soundex.so
/usr/lib/python1.5/lib-dynload/stropmodule.so
/usr/lib/python1.5/lib-dynload/structmodule.so
/usr/lib/python1.5/lib-dynload/syslogmodule.so
/usr/lib/python1.5/lib-dynload/termios.so
/usr/lib/python1.5/lib-dynload/timemodule.so
/usr/lib/python1.5/lib-dynload/timingmodule.so
/usr/lib/python1.5/lib-dynload/bsddbmodule.so
/usr/lib/python1.5/lib-dynload/dbmmodule.so

%files doc
%doc postscript-docs html-docs Demo Tools Misc README

%files gdbm
/usr/lib/python1.5/lib-dynload/gdbmmodule.so

%files curses
/usr/lib/python1.5/lib-dynload/cursesmodule.so

%files devel
/usr/include/python1.5
/usr/lib/python1.5/config

%files tkinter
/usr/lib/python1.5/lib-dynload/_tkinter.so
/usr/lib/python1.5/lib-tk

%files zlib
/usr/lib/python1.5/lib-dynload/zlibmodule.so
